DSRW_WRITE_ARRAY(3)

FUNCTION
dsrw_write_array - Write an array in binary format.

SYNOPSIS
#include <karma_dsrw.h>

flag dsrw_write_array

(Channel channel, CONST array_desc *arr_desc, CONST char *element, flag pad)

DESCRIPTION
This routine will write the binary representation of an array to a channel object. The routine will recursively write any sub arrays or linked lists of packets.

channel
    The channel object.

arr_desc
    The array descriptor.

element
    The element to write the array pointer to.

pad If TRUE the array will be padded on a selected boundary (this is the case when writing .kf files).

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/